Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface DocumentManagerMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface DocumentManagerMBean
extends ServiceConfigurationMBean

The DocumentManager management bean interface.

A deployed DocumentManager EJB will look for a DocumentManagerMBean whose name corresponds to the "DocumentManagerMBeanName" environment setting of the EJB.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`String` | `getContentCacheName()` Get the name of the cache to use for caching document content.
`String` | `getDocumentConnectionPoolName()` Get the name of the DocumentConnectionPool this should use.
`String` | `getJNDIName()` Get the DocumentManager EJB JNDI name for this document manager.
`int` | `getMaxCachedContentSize()` Get the maximum size of a document content block to cache.
`String` | `getMetadataCacheName()` Get the name of the cache to use for caching document metadata.
`String` | `getPropertyCase()` Get the case of properties for this DocumentManager The value should one of "lower", "upper", or "none".
`boolean` | `getSynchronizedAccess()` Should we serialize search and content byte access to the underlying `DocumentProvider`?
`boolean` | `isContentCaching()` Should the DocumentManager cache document content.
`boolean` | `isMetadataCaching()` Should the DocumentManager cache document metadata.
`boolean` | `isUserIdInCacheKey()` Should we use the userId as part of the cache key.
`void` | `setContentCacheName(String name)` Set the name of the cache to use for caching document content.
`void` | `setContentCaching(boolean b)` Set if the DocumentManager cache document content.
`void` | `setDocumentConnectionPoolName(String name)` Set the name of the DocumentConnectionPool this should use.
`void` | `setJNDIName(String name)` Set the DocumentManager EJB JNDI name for this document manager.
`void` | `setMaxCachedContentSize(int size)` Set the maximum size of a document content block to cache.
`void` | `setMetadataCacheName(String name)` Get the name of the cache to use for caching document metadata.
`void` | `setMetadataCaching(boolean b)` Set if the DocumentManager cache document metadata.
`void` | `setPropertyCase(String c)` Get the case of properties for this DocumentManager The value should one of "lower", "upper", or "none".
`void` | `setSynchronizedAccess(boolean b)` Should we serialize search and content byte access to the underlying `DocumentProvider`?
`void` | `setUserIdInCacheKey(boolean b)` Should we use the userId as part of the cache key.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getDocumentConnectionPoolName

    public String getDocumentConnectionPoolName()

  Get the name of the DocumentConnectionPool this should use.

### setDocumentConnectionPoolName

    public void setDocumentConnectionPoolName(String name)

  Set the name of the DocumentConnectionPool this should use.

  MBean Attribute Legal Null:
    true

### getPropertyCase

    public String getPropertyCase()

  Get the case of properties for this DocumentManager

  The value should one of "lower", "upper", or "none".

### setPropertyCase

    public void setPropertyCase(String c)

  Get the case of properties for this DocumentManager

  The value should one of "lower", "upper", or "none".

  MBean Dynamic Method
  MBean Attribute Legal Null:
    true
  MBean Attribute Legal Values:
    "lower", "upper", "none"

### isMetadataCaching

    public boolean isMetadataCaching()

  Should the DocumentManager cache document metadata.

  MBean Attribute Default Value:
    true

### setMetadataCaching

    public void setMetadataCaching(boolean b)

  Set if the DocumentManager cache document metadata.

  MBean Dynamic Method

### getMetadataCacheName

    public String getMetadataCacheName()

  Get the name of the cache to use for caching document metadata.

  MBean Attribute Default Value:
    "documentMetadataCache"

### setMetadataCacheName

    public void setMetadataCacheName(String name)

  Get the name of the cache to use for caching document metadata.

  MBean Dynamic Method

### isUserIdInCacheKey

    public boolean isUserIdInCacheKey()

  Should we use the userId as part of the cache key.

  MBean Attribute Default Value:
    true

### setUserIdInCacheKey

    public void setUserIdInCacheKey(boolean b)

  Should we use the userId as part of the cache key.

  MBean Dynamic Method

### isContentCaching

    public boolean isContentCaching()

  Should the DocumentManager cache document content.

  MBean Attribute Default Value:
    true

### setContentCaching

    public void setContentCaching(boolean b)

  Set if the DocumentManager cache document content.

  MBean Dynamic Method

### getContentCacheName

    public String getContentCacheName()

  Get the name of the cache to use for caching document content.

  MBean Attribute Default Value:
    "documentContentCache"

### setContentCacheName

    public void setContentCacheName(String name)

  Set the name of the cache to use for caching document content.

  MBean Dynamic Method

### getMaxCachedContentSize

    public int getMaxCachedContentSize()

  Get the maximum size of a document content block to cache.

  MBean Attribute Default Value:
    32768

### setMaxCachedContentSize

    public void setMaxCachedContentSize(int size)

  Set the maximum size of a document content block to cache.

  MBean Dynamic Method

### getJNDIName

    public String getJNDIName()

  Get the DocumentManager EJB JNDI name for this document manager.

  This will be used by the `PropertySetRepositoryImpl` from the PropertySetManager to find additional ContentManagers to fetch CONTENT property sets from.

### setJNDIName

    public void setJNDIName(String name)

  Set the DocumentManager EJB JNDI name for this document manager.

  This will be used by the `PropertySetRepositoryImpl` from the PropertySetManager to find additional ContentManagers to fetch CONTENT property sets from.

  MBean Attribute Legal Null:
    true

### getSynchronizedAccess

    public boolean getSynchronizedAccess()

  Should we serialize search and content byte access to the underlying `DocumentProvider`?

  Set this to true if the DocumentProvider implementation is very resource or time intensive. If this is set to true, you should be sure caching is enabled to avoid serializing all access to the EJB to a time-intensive method.

  See Also:
    `setMetadataCaching(boolean)`, `setContentCaching(boolean)`
  MBean Attribute Default Value:
    false

### setSynchronizedAccess

    public void setSynchronizedAccess(boolean b)

  Should we serialize search and content byte access to the underlying `DocumentProvider`?

  Set this to true if the DocumentProvider implementation is very resource or time intensive. If this is set to true, you should be sure caching is enabled to avoid serializing all access to the EJB to a time-intensive method.

  MBean Dynamic Method

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved